package bug;

import java.net.URL;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

    public static final String RESOURCE = "/document.txt";

    @Override
    public void start(BundleContext context) throws Exception {

        ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
        if (contextClassLoader != null) {
            URL contextResource = contextClassLoader.getResource(RESOURCE);
            System.out.println("thread context classloader: " + contextClassLoader);
            System.out.println("   resource URL: " + contextResource);
        }
        else {
            System.out.println("no thread context classloader");
        }

        ClassLoader classClassLoader = getClass().getClassLoader();
        URL classLoaderResource = classClassLoader.getResource(RESOURCE);
        System.out.println("class classloader: " + classClassLoader);
        System.out.println("   resource URL: " + classLoaderResource);

        URL classResource = getClass().getResource(RESOURCE);
        System.out.println("   resource URL: " + classResource);
    }

    @Override
    public void stop(BundleContext context) throws Exception {
    }
}
